For the complete documentation index, see llms.txt. This page is also available as Markdown.

/eth/v1/beacon/headers

Get block headers

Get block headers

get
/eth/v1/beacon/headers

Retrieves block headers matching given query. By default it will fetch current head slot blocks.

Query parameters
slotall ofOptional
stringOptionalExample: 1
and
anyOptional
parent_rootall ofOptional
stringOptionalExample: 0xcf8e0d4e9587369b2301d0790347320302cc0943d5a1884560367e8208d920f2Pattern: ^0x[a-fA-F0-9]{64}$
and
anyOptional
Responses
200

Success

application/json
execution_optimisticall ofOptional
booleanOptional
and
anyOptionalExample: false
and
anyOptional

True if the response references an unverified execution payload. Optimistic information may be invalidated at a later time. If the field is not present, assume the False value.

get/eth/v1/beacon/headers
GET /v1/<YOUR_API_KEY_HERE>/eth/v1/beacon/headers HTTP/1.1
Host: mainnet.ethereum.validationcloud.io/v1/<YOUR_API_KEY_HERE>/
Accept: */*
{
  "execution_optimistic": null,
  "data": [
    {
      "root": "0xcf8e0d4e9587369b2301d0790347320302cc0943d5a1884560367e8208d920f2",
      "canonical": true,
      "header": {
        "message": {
          "slot": null,
          "proposer_index": null,
          "parent_root": null,
          "state_root": null,
          "body_root": null
        },
        "signature": "0x1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505cc411d61252fb6cb3fa0017b679f8bb2305b26a285fa2737f175668d0dff91cc1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505"
      }
    }
  ]
}
curl -X GET \
    "https://mainnet.ethereum.validationcloud.io/v1/<YOUR_API_KEY_HERE>/eth/v1/beacon/headers" \
    -H "Content-Type: application/json"
curl -X GET \
    "https://sepolia.ethereum.validationcloud.io/v1/<YOUR_API_KEY_HERE>/eth/v1/beacon/headers" \
    -H "Content-Type: application/json"

Last updated

Was this helpful?